Index: CONFIG/UNIFORM/v6/NEMO_v6/AA_make
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6/AA_make	(revision 6367)
+++ CONFIG/UNIFORM/v6/NEMO_v6/AA_make	(revision 6371)
@@ -4,5 +4,7 @@
 #- 
 
-MYSRC_DIR = $(shell /bin/pwd)
+submitdir=$(shell pwd)
+arch_path=${submitdir}/ARCH/
+nemo_path=${submitdir}/SOURCES/
 
 all : 
@@ -29,33 +31,33 @@
 
 xios: ../../modeles/XIOS
-	(cd ../../modeles/XIOS; ./make_xios --arch $(FCM_ARCH) --prod  --job 4 ; cp bin/xios_server.exe ../../bin/. ; )
+	(rm -f ${arch_path}/arch.env ; ln -sf ${arch_path}/arch-${FCM_ARCH}.env ${arch_path}/arch.env  ; cd ../../modeles/XIOS; cp ${arch_path}/arch-${FCM_ARCH}.fcm arch/. ; ./make_xios --arch $(FCM_ARCH) --arch_path ${arch_path} --prod  --job 4 ; cp bin/xios_server.exe ../../bin/. ; )
 
 
 orca2lim3pisces:  ../../modeles/NEMOGCM/CONFIG
-	(cd ../../modeles/NEMOGCM/CONFIG; cp ../../../config/NEMO_v6/ARCH/arch-${FCM_ARCH}.fcm ../ARCH/. ; ./makenemo -m ${FCM_ARCH} -n ORCA2_LIM3_PISCES -r ORCA1_LIM3_PISCES -j16  ; cp ORCA2_LIM3_PISCES/BLD/bin/nemo.exe ../../../bin/orca2lim3pisces.exe ; )
+	(. ${arch_path}/arch-${FCM_ARCH}.env ; cd ../../modeles/NEMOGCM/CONFIG; cp ${nemo_path}/arch-${FCM_ARCH}.fcm ../ARCH/. ; ./makenemo -m ${FCM_ARCH} -n ORCA2_LIM3_PISCES -r ORCA1_LIM3_PISCES -j16  ; cp ORCA2_LIM3_PISCES/BLD/bin/nemo.exe ../../../bin/orca2lim3pisces.exe ; )
 
 orca2offpisces:  ../../modeles/NEMOGCM/CONFIG
-	(cd ../../modeles/NEMOGCM/CONFIG; cp ../../../config/NEMO_v6/ARCH/arch-${FCM_ARCH}.fcm ../ARCH/. ; ./makenemo -m ${FCM_ARCH} -n ORCA2_OFF_PISCES -j16 add_key "key_xios2" del_key "key_trabbl" ; cp ORCA2_OFF_PISCES/BLD/bin/nemo.exe ../../../bin/orca2offpisces.exe ; )
+	(. ${arch_path}/arch-${FCM_ARCH}.env ; cd ../../modeles/NEMOGCM/CONFIG; cp ${nemo_path}/arch-${FCM_ARCH}.fcm ../ARCH/. ; ./makenemo -m ${FCM_ARCH} -n ORCA2_OFF_PISCES -j16 add_key "key_xios2" del_key "key_trabbl" ; cp ORCA2_OFF_PISCES/BLD/bin/nemo.exe ../../../bin/orca2offpisces.exe ; )
 
 orca2offpiscesv5:  ../../modeles/NEMOGCM/CONFIG
-	(cd ../../modeles/NEMOGCM/CONFIG; cp ../../../config/NEMO_v6/ARCH/arch-${FCM_ARCH}.fcm ../ARCH/. ; cp ../../../config/NEMO_v6/SOURCES/*.F90 ORCA2_OFF_PISCES/MY_SRC/.  ; ./makenemo -m ${FCM_ARCH} -n ORCA2_OFF_PISCES -j16 add_key "key_xios2" del_key "key_trabbl"  ; cp ORCA2_OFF_PISCES/BLD/bin/nemo.exe ../../../bin/orca2offpiscesv5.exe ; )
+	(. ${arch_path}/arch-${FCM_ARCH}.env ; cd ../../modeles/NEMOGCM/CONFIG; cp ${nemo_path}/arch-${FCM_ARCH}.fcm ../ARCH/. ; cp ${nemo_path}/*.F90 ORCA2_OFF_PISCES/MY_SRC/.  ; ./makenemo -m ${FCM_ARCH} -n ORCA2_OFF_PISCES -j16 add_key "key_xios2" del_key "key_trabbl"  ; cp ORCA2_OFF_PISCES/BLD/bin/nemo.exe ../../../bin/orca2offpiscesv5.exe ; )
 
 orca1lim3:  ../../modeles/NEMOGCM/CONFIG
-	(cd ../../modeles/NEMOGCM/CONFIG; cp ../../../config/NEMO_v6/ARCH/arch-${FCM_ARCH}.fcm ../ARCH/. ; ./makenemo -m ${FCM_ARCH} -n ORCA1_LIM3 -r ORCA1_LIM3_PISCES -j16  del_key "key_mpp_rep key_nosignedzero key_top key_pisces key_age key_cfc" ; cp ORCA1_LIM3_PISCES/BLD/bin/nemo.exe ../../../bin/orca1lim3.exe ; )
+	(. ${arch_path}/arch-${FCM_ARCH}.env ; cd ../../modeles/NEMOGCM/CONFIG; cp ${nemo_path}/arch-${FCM_ARCH}.fcm ../ARCH/. ; ./makenemo -m ${FCM_ARCH} -n ORCA1_LIM3 -r ORCA1_LIM3_PISCES -j16  del_key "key_mpp_rep key_nosignedzero key_top key_pisces key_age key_cfc" ; cp ORCA1_LIM3_PISCES/BLD/bin/nemo.exe ../../../bin/orca1lim3.exe ; )
 
 orca1lim3pisces:  ../../modeles/NEMOGCM/CONFIG
-	(cd ../../modeles/NEMOGCM/CONFIG; cp ../../../config/NEMO_v6/ARCH/arch-${FCM_ARCH}.fcm ../ARCH/. ; ./makenemo -m ${FCM_ARCH} -n ORCA1_LIM3_PISCES -j16  ; cp ORCA1_LIM3_PISCES/BLD/bin/nemo.exe ../../../bin/orca1lim3pisces.exe ; )
+	(. ${arch_path}/arch-${FCM_ARCH}.env ; cd ../../modeles/NEMOGCM/CONFIG; cp ${nemo_path}/arch-${FCM_ARCH}.fcm ../ARCH/. ; ./makenemo -m ${FCM_ARCH} -n ORCA1_LIM3_PISCES -j16  ; cp ORCA1_LIM3_PISCES/BLD/bin/nemo.exe ../../../bin/orca1lim3pisces.exe ; )
 
 orca1offpisces:  ../../modeles/NEMOGCM/CONFIG
-	(cd ../../modeles/NEMOGCM/CONFIG; cp ../../../config/NEMO_v6/ARCH/arch-${FCM_ARCH}.fcm ../ARCH/. ; ./makenemo -m ${FCM_ARCH} -n ORCA1_OFF_PISCES -j16  ; cp ORCA1_OFF_PISCES/BLD/bin/nemo.exe ../../../bin/orca1offpisces.exe ; )
+	(. ${arch_path}/arch-${FCM_ARCH}.env ; cd ../../modeles/NEMOGCM/CONFIG; cp ${nemo_path}/arch-${FCM_ARCH}.fcm ../ARCH/. ; ./makenemo -m ${FCM_ARCH} -n ORCA1_OFF_PISCES -j16  ; cp ORCA1_OFF_PISCES/BLD/bin/nemo.exe ../../../bin/orca1offpisces.exe ; )
 
 orca025lim3:  ../../modeles/NEMOGCM/CONFIG
-	(cd ../../modeles/NEMOGCM/CONFIG; cp ../../../config/NEMO_v6/ARCH/arch-${FCM_ARCH}.fcm ../ARCH/. ; ./makenemo -m ${FCM_ARCH} -n ORCA025_LIM3 -r ORCA025_LIM3_PISCES -j16  del_key "key_mpp_rep key_nosignedzero key_top key_pisces key_age"  ; cp ORCA025_LIM3/BLD/bin/nemo.exe ../../../bin/orca025lim3.exe ; )
+	(. ${arch_path}/arch-${FCM_ARCH}.env ; cd ../../modeles/NEMOGCM/CONFIG; cp ${nemo_path}/arch-${FCM_ARCH}.fcm ../ARCH/. ; ./makenemo -m ${FCM_ARCH} -n ORCA025_LIM3 -r ORCA025_LIM3_PISCES -j16  del_key "key_mpp_rep key_nosignedzero key_top key_pisces key_age"  ; cp ORCA025_LIM3/BLD/bin/nemo.exe ../../../bin/orca025lim3.exe ; )
 
 orca025lim3pisces:  ../../modeles/NEMOGCM/CONFIG
-	(cd ../../modeles/NEMOGCM/CONFIG; cp ../../../config/NEMO_v6/ARCH/arch-${FCM_ARCH}.fcm ../ARCH/. ; ./makenemo -m ${FCM_ARCH} -n ORCA025_LIM3_PISCES -j16  ; cp ORCA025_LIM3_PISCES/BLD/bin/nemo.exe ../../../bin/orca025lim3pisces.exe ; )
+	(. ${arch_path}/arch-${FCM_ARCH}.env ; cd ../../modeles/NEMOGCM/CONFIG; cp ${nemo_path}/arch-${FCM_ARCH}.fcm ../ARCH/. ; ./makenemo -m ${FCM_ARCH} -n ORCA025_LIM3_PISCES -j16  ; cp ORCA025_LIM3_PISCES/BLD/bin/nemo.exe ../../../bin/orca025lim3pisces.exe ; )
 
 orca025lim3piscescrs:  ../../modeles/NEMOGCM/CONFIG
-	(cd ../../modeles/NEMOGCM/CONFIG; cp ../../../config/NEMO_v6/ARCH/arch-${FCM_ARCH}.fcm ../ARCH/. ; ./makenemo -m ${FCM_ARCH} -n ORCA025_LIM3_PISCES_CRS -r ORCA025_LIM3_PISCES -j16 add_key "key_crs"  ; cp ORCA025_LIM3_PISCES_CRS/BLD/bin/nemo.exe ../../../bin/orca025lim3piscescrs.exe ; )
+	(. ${arch_path}/arch-${FCM_ARCH}.env ; cd ../../modeles/NEMOGCM/CONFIG; cp ${nemo_path}/arch-${FCM_ARCH}.fcm ../ARCH/. ; ./makenemo -m ${FCM_ARCH} -n ORCA025_LIM3_PISCES_CRS -r ORCA025_LIM3_PISCES -j16 add_key "key_crs"  ; cp ORCA025_LIM3_PISCES_CRS/BLD/bin/nemo.exe ../../../bin/orca025lim3piscescrs.exe ; )
 
 verif: ../../bin
Index: CONFIG/UNIFORM/v6/NEMO_v6/ARCH/arch-X64_ADA.fcm
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6/ARCH/arch-X64_ADA.fcm	(revision 6367)
+++ 	(revision )
@@ -1,53 +1,0 @@
-# ADA IBM at IDRIS, http://www.idris.fr/eng/ada/
-#
-# NCDF_HOME   root directory containing lib and include subdirectories for netcdf4
-# HDF5_HOME   root directory containing lib and include subdirectories for HDF5
-# XIOS_HOME   root directory containing lib for XIOS
-# OASIS_HOME  root directory containing lib for OASIS
-#
-# NCDF_INC    netcdf4 include file
-# NCDF_LIB    netcdf4 library
-# XIOS_INC    xios include file    (taken into accound only if key_iomput is activated)
-# XIOS_LIB    xios library         (taken into accound only if key_iomput is activated)
-# OASIS_INC   oasis include file   (taken into accound only if key_oasis3 is activated)
-# OASIS_LIB   oasis library        (taken into accound only if key_oasis3 is activated)
-#
-# FC          Fortran compiler command
-# FCFLAGS     Fortran compiler flags
-# FFLAGS      Fortran 77 compiler flags
-# LD          linker
-# LDFLAGS     linker flags, e.g. -L<lib dir> if you have libraries
-# FPPFLAGS    pre-processing flags
-# AR          assembler
-# ARFLAGS     assembler flags
-# MK          make
-# USER_INC    complete list of include files
-# USER_LIB    complete list of libraries to pass to the linker
-#
-# Note that:
-#  - unix variables "$..." are accpeted and will be evaluated before calling fcm.
-#  - fcm variables are starting with a % (and not a $)
-#
-%XIOS_HOME           ${PWD}/../../XIOS
-%OASIS_HOME          ${PWD}/../../../oasis3-mct/BLD
-
-%NCDF_INC            -I/smplocal/pub/NetCDF/4.1.3/mpi/include
-%NCDF_LIB            -L/smplocal/pub/NetCDF/4.1.3/mpi/lib -lnetcdff -lnetcdf -lnetcdf_c++ -L/smplocal/pub/HDF5/1.8.9/par/lib -lhdf5hl_fortran -lhdf5_hl -lhdf5_fortran -lhdf5 -Bdynamic -lz -Wl,-rpath=/smplocal/pub/NetCDF/4.1.3/mpi/lib:/smplocal/pub/HDF5/1.8.9/par/lib
-%XIOS_INC            -I%XIOS_HOME/inc 
-%XIOS_LIB            -L%XIOS_HOME/lib -lxios
-%OASIS_INC           -I%OASIS_HOME/build/lib/psmile.MPI1 
-%OASIS_LIB           -L%OASIS_HOME/lib -lpsmile.MPI1 -lscrip -lmct -lmpeu
-
-%CPP               cpp
-%FC                  mpiifort -c -cpp
-# for Ada
-%FCFLAGS             -DCPP_PARA -i4 -r8 -O3 -xAVX -fp-model precise
-%FFLAGS              %FCFLAGS
-%LD                  mpiifort
-%LDFLAGS             -lstdc++
-%FPPFLAGS            -P -C -traditional
-%AR                  ar
-%ARFLAGS             rs
-%MK                  gmake
-%USER_INC            %XIOS_INC %OASIS_INC %NCDF_INC
-%USER_LIB            %XIOS_LIB %OASIS_LIB %NCDF_LIB
Index: CONFIG/UNIFORM/v6/NEMO_v6/ARCH/arch-X64_IRENE-AMD.env
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6/ARCH/arch-X64_IRENE-AMD.env	(revision 6371)
+++ CONFIG/UNIFORM/v6/NEMO_v6/ARCH/arch-X64_IRENE-AMD.env	(revision 6371)
@@ -0,0 +1,12 @@
+# Compile and running environnemnet at Irene Skylake 
+  
+module purge
+module load intel/20.0.0
+module load mpi/openmpi/4.1.4
+module load flavor/hdf5/parallel
+module load hdf5/1.12.0
+module load netcdf-fortran/4.5.3
+module load mkl/20.0.0
+module load feature/bridge/heterogenous_mpmd
+module load c++/gnu/8.3.0
+module load c/gnu/8.3.0
Index: CONFIG/UNIFORM/v6/NEMO_v6/ARCH/arch-X64_IRENE-AMD.fcm
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6/ARCH/arch-X64_IRENE-AMD.fcm	(revision 6367)
+++ CONFIG/UNIFORM/v6/NEMO_v6/ARCH/arch-X64_IRENE-AMD.fcm	(revision 6371)
@@ -1,52 +1,26 @@
-# Irene-amd BULL at TGCC, http://www-hpc.cea.fr/en/complexe/tgcc-irene.htm
-#
-# NCDF_HOME   root directory containing lib and include subdirectories for netcdf4
-# HDF5_HOME   root directory containing lib and include subdirectories for HDF5
-# XIOS_HOME   root directory containing lib for XIOS
-# OASIS_HOME  root directory containing lib for OASIS
-#
-# NCDF_INC    netcdf4 include file
-# NCDF_LIB    netcdf4 library
-# XIOS_INC    xios include file    (taken into accound only if key_iomput is activated)
-# XIOS_LIB    xios library         (taken into accound only if key_iomput is activated)
-# OASIS_INC   oasis include file   (taken into accound only if key_oasis3 is activated)
-# OASIS_LIB   oasis library        (taken into accound only if key_oasis3 is activated)
-#
-# FC          Fortran compiler command
-# FCFLAGS     Fortran compiler flags
-# FFLAGS      Fortran 77 compiler flags
-# LD          linker
-# LDFLAGS     linker flags, e.g. -L<lib dir> if you have libraries
-# FPPFLAGS    pre-processing flags
-# AR          assembler
-# ARFLAGS     assembler flags
-# MK          make
-# USER_INC    complete list of include files
-# USER_LIB    complete list of libraries to pass to the linker
-#
-# Note that:
-#  - unix variables "$..." are accpeted and will be evaluated before calling fcm.
-#  - fcm variables are starting with a % (and not a $)
-#
-%XIOS_HOME           ${PWD}/../../XIOS
-%OASIS_HOME          ${PWD}/../../../oasis3-mct/BLD
+################################################################################
+###################                Projet XIOS               ###################
+################################################################################
 
-%NCDF_INC            -I${NETCDFC_INCDIR} -I${NETCDFFORTRAN_INCDIR}
-%NCDF_LIB            -L${NETCDFC_LIBDIR} -lnetcdf -L${NETCDFFORTRAN_LIBDIR} -lnetcdff 
-%XIOS_INC            -I%XIOS_HOME/inc 
-%XIOS_LIB            -L%XIOS_HOME/lib -lxios
-%OASIS_INC           -I%OASIS_HOME/build/lib/psmile.MPI1 
-%OASIS_LIB           -L%OASIS_HOME/lib -lpsmile.MPI1 -lscrip -lmct -lmpeu
+%CCOMPILER      mpicc
+%FCOMPILER      mpif90
+%LINKER         mpif90  -nofor-main
 
-%CPP                 cpp
-%FC                  mpif90 -c -cpp
-%FCFLAGS             -i4 -r8 -O3 -fp-model strict
-%FFLAGS              %FCFLAGS
-%LD                  mpif90
-%LDFLAGS             -lstdc++
-%FPPFLAGS            -P -C -traditional
-%AR                  ar
-%ARFLAGS             rs
-%MK                  gmake
-%USER_INC            %XIOS_INC %OASIS_INC %NCDF_INC
-%USER_LIB            %XIOS_LIB %OASIS_LIB %NCDF_LIB
+%BASE_CFLAGS    -std=gnu++98 -diag-disable 1125 -diag-disable 279 -D__XIOS_EXCEPTION
+%PROD_CFLAGS    -O3 -D BOOST_DISABLE_ASSERTS
+#%DEV_CFLAGS     -g -traceback
+%DEV_CFLAGS     -g 
+%DEBUG_CFLAGS   -DBZ_DEBUG -g -traceback -fno-inline
+
+%BASE_FFLAGS    -D__NONE__ 
+%PROD_FFLAGS    -O3
+#%DEV_FFLAGS     -g -traceback
+%DEV_FFLAGS     -g 
+%DEBUG_FFLAGS   -g -traceback
+
+%BASE_INC       -D__NONE__
+%BASE_LD        -lstdc++
+
+%CPP            mpicc -EP
+%FPP            cpp -P
+%MAKE           gmake
Index: CONFIG/UNIFORM/v6/NEMO_v6/ARCH/arch-X64_IRENE.env
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6/ARCH/arch-X64_IRENE.env	(revision 6371)
+++ CONFIG/UNIFORM/v6/NEMO_v6/ARCH/arch-X64_IRENE.env	(revision 6371)
@@ -0,0 +1,12 @@
+# Compile and running environnemnet at Irene Skylake 
+  
+module purge
+module load intel/20.0.0
+module load mpi/openmpi/4.1.4
+module load flavor/hdf5/parallel
+module load hdf5/1.12.0
+module load netcdf-fortran/4.5.3
+module load mkl/20.0.0
+module load feature/bridge/heterogenous_mpmd
+module load c++/gnu/8.3.0
+module load c/gnu/8.3.0
Index: CONFIG/UNIFORM/v6/NEMO_v6/ARCH/arch-X64_IRENE.fcm
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6/ARCH/arch-X64_IRENE.fcm	(revision 6367)
+++ CONFIG/UNIFORM/v6/NEMO_v6/ARCH/arch-X64_IRENE.fcm	(revision 6371)
@@ -1,52 +1,26 @@
-# Irene BULL at TGCC, http://www-hpc.cea.fr/en/complexe/tgcc-irene.htm
-#
-# NCDF_HOME   root directory containing lib and include subdirectories for netcdf4
-# HDF5_HOME   root directory containing lib and include subdirectories for HDF5
-# XIOS_HOME   root directory containing lib for XIOS
-# OASIS_HOME  root directory containing lib for OASIS
-#
-# NCDF_INC    netcdf4 include file
-# NCDF_LIB    netcdf4 library
-# XIOS_INC    xios include file    (taken into accound only if key_iomput is activated)
-# XIOS_LIB    xios library         (taken into accound only if key_iomput is activated)
-# OASIS_INC   oasis include file   (taken into accound only if key_oasis3 is activated)
-# OASIS_LIB   oasis library        (taken into accound only if key_oasis3 is activated)
-#
-# FC          Fortran compiler command
-# FCFLAGS     Fortran compiler flags
-# FFLAGS      Fortran 77 compiler flags
-# LD          linker
-# LDFLAGS     linker flags, e.g. -L<lib dir> if you have libraries
-# FPPFLAGS    pre-processing flags
-# AR          assembler
-# ARFLAGS     assembler flags
-# MK          make
-# USER_INC    complete list of include files
-# USER_LIB    complete list of libraries to pass to the linker
-#
-# Note that:
-#  - unix variables "$..." are accpeted and will be evaluated before calling fcm.
-#  - fcm variables are starting with a % (and not a $)
-#
-%XIOS_HOME           ${PWD}/../../XIOS
-%OASIS_HOME          ${PWD}/../../../oasis3-mct/BLD
+################################################################################
+###################                Projet XIOS               ###################
+################################################################################
 
-%NCDF_INC            -I${NETCDFC_INCDIR} -I${NETCDFFORTRAN_INCDIR}
-%NCDF_LIB            -L${NETCDFC_LIBDIR} -lnetcdf -L${NETCDFFORTRAN_LIBDIR} -lnetcdff 
-%XIOS_INC            -I%XIOS_HOME/inc 
-%XIOS_LIB            -L%XIOS_HOME/lib -lxios
-%OASIS_INC           -I%OASIS_HOME/build/lib/psmile.MPI1 
-%OASIS_LIB           -L%OASIS_HOME/lib -lpsmile.MPI1 -lscrip -lmct -lmpeu
+%CCOMPILER      mpicc
+%FCOMPILER      mpif90
+%LINKER         mpif90  -nofor-main
 
-%CPP                 cpp -P -nostdinc
-%FC                  mpif90 -c -cpp
-%FCFLAGS             -i4 -r8 -O3 -fp-model precise
-%FFLAGS              %FCFLAGS
-%LD                  mpif90
-%LDFLAGS             -lstdc++
-%FPPFLAGS            -P -C -traditional
-%AR                  ar
-%ARFLAGS             rs
-%MK                  gmake
-%USER_INC            %XIOS_INC %OASIS_INC %NCDF_INC
-%USER_LIB            %XIOS_LIB %OASIS_LIB %NCDF_LIB
+%BASE_CFLAGS    -std=gnu++98 -diag-disable 1125 -diag-disable 279 -D__XIOS_EXCEPTION
+%PROD_CFLAGS    -O3 -D BOOST_DISABLE_ASSERTS
+#%DEV_CFLAGS     -g -traceback
+%DEV_CFLAGS     -g 
+%DEBUG_CFLAGS   -DBZ_DEBUG -g -traceback -fno-inline
+
+%BASE_FFLAGS    -D__NONE__ 
+%PROD_FFLAGS    -O3
+#%DEV_FFLAGS     -g -traceback
+%DEV_FFLAGS     -g 
+%DEBUG_FFLAGS   -g -traceback
+
+%BASE_INC       -D__NONE__
+%BASE_LD        -lstdc++
+
+%CPP            mpicc -EP
+%FPP            cpp -P
+%MAKE           gmake
Index: CONFIG/UNIFORM/v6/NEMO_v6/ARCH/arch-X64_JEANZAY.env
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6/ARCH/arch-X64_JEANZAY.env	(revision 6371)
+++ CONFIG/UNIFORM/v6/NEMO_v6/ARCH/arch-X64_JEANZAY.env	(revision 6371)
@@ -0,0 +1,8 @@
+# Compile and running environnemnet at Jean-Zay 
+module purge
+#module load gcc/6.5.0
+module load intel-all/19.0.4 
+module load hdf5/1.10.5-mpi
+module load netcdf/4.7.2-mpi
+module load netcdf-fortran/4.5.2-mpi
+
Index: CONFIG/UNIFORM/v6/NEMO_v6/ARCH/arch-X64_JEANZAY.fcm
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6/ARCH/arch-X64_JEANZAY.fcm	(revision 6367)
+++ CONFIG/UNIFORM/v6/NEMO_v6/ARCH/arch-X64_JEANZAY.fcm	(revision 6371)
@@ -1,52 +1,25 @@
-# Jean-Zay HPE at IDRIS, http://www.idris.fr/jean-zay
-#
-# NCDF_HOME   root directory containing lib and include subdirectories for netcdf4
-# HDF5_HOME   root directory containing lib and include subdirectories for HDF5
-# XIOS_HOME   root directory containing lib for XIOS
-# OASIS_HOME  root directory containing lib for OASIS
-#
-# NCDF_INC    netcdf4 include file
-# NCDF_LIB    netcdf4 library
-# XIOS_INC    xios include file    (taken into accound only if key_iomput is activated)
-# XIOS_LIB    xios library         (taken into accound only if key_iomput is activated)
-# OASIS_INC   oasis include file   (taken into accound only if key_oasis3 is activated)
-# OASIS_LIB   oasis library        (taken into accound only if key_oasis3 is activated)
-#
-# FC          Fortran compiler command
-# FCFLAGS     Fortran compiler flags
-# FFLAGS      Fortran 77 compiler flags
-# LD          linker
-# LDFLAGS     linker flags, e.g. -L<lib dir> if you have libraries
-# FPPFLAGS    pre-processing flags
-# AR          assembler
-# ARFLAGS     assembler flags
-# MK          make
-# USER_INC    complete list of include files
-# USER_LIB    complete list of libraries to pass to the linker
-#
-# Note that:
-#  - unix variables "$..." are accpeted and will be evaluated before calling fcm.
-#  - fcm variables are starting with a % (and not a $)
-#
-%XIOS_HOME           ${PWD}/../../XIOS
-%OASIS_HOME          ${PWD}/../../../oasis3-mct/BLD
+################################################################################
+####################                Projet XIOS               ###################
+#################################################################################
 
-%NCDF_INC            
-%NCDF_LIB            -lnetcdff -lnetcdf
-%XIOS_INC            -I%XIOS_HOME/inc 
-%XIOS_LIB            -L%XIOS_HOME/lib -lxios
-%OASIS_INC           -I%OASIS_HOME/build/lib/mct -I%OASIS_HOME/build/lib/psmile.MPI1
-%OASIS_LIB           -L%OASIS_HOME/lib -lpsmile.MPI1 -lscrip -lmct -lmpeu
 
-%CPP                 cpp
-%FC                  mpiifort -c -cpp
-%FCFLAGS             -i4 -r8 -O3 -fp-model precise -xCORE-AVX512 -fno-alias
-%FFLAGS              %FCFLAGS
-%LD                  mpiifort
-%LDFLAGS             -lstdc++
-%FPPFLAGS            -P -C -traditional
-%AR                  ar
-%ARFLAGS             rs
-%MK                  gmake
-%USER_INC            %XIOS_INC %OASIS_INC %NCDF_INC
-%USER_LIB            %XIOS_LIB %OASIS_LIB %NCDF_LIB
+%CCOMPILER      mpiicc
+%FCOMPILER      mpiifort
+%LINKER         mpiifort  -nofor-main
+
+%BASE_CFLAGS    -diag-disable 1125 -diag-disable 279 -std=gnu++98
+%PROD_CFLAGS    -O3 -D BOOST_DISABLE_ASSERTS
+%DEV_CFLAGS     -g -traceback
+%DEBUG_CFLAGS   -DBZ_DEBUG -g -traceback -fno-inline
+
+%BASE_FFLAGS    -D__NONE__ 
+%PROD_FFLAGS    -O3
+%DEV_FFLAGS     -g -O2 -traceback
+%DEBUG_FFLAGS   -g -traceback
+
+%BASE_INC       -D__NONE__
+%BASE_LD        -lstdc++
+
+%CPP            mpiicc -EP
+%FPP            cpp -P
+%MAKE           gmake
Index: CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA025_LIM3/ia/config.card
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA025_LIM3/ia/config.card	(revision 6367)
+++ CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA025_LIM3/ia/config.card	(revision 6371)
@@ -30,4 +30,7 @@
 #-- 1Y, 1M, 5D, 1D
 PeriodLength=1Y
+#============================
+#-- Source following file with module settings, only if it exists
+EnvFile=${SUBMIT_DIR}/../ARCH/arch.env
 #============================
 # config.card configuration options :
Index: CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA025_LIM3_PISCES/ia/config.card
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA025_LIM3_PISCES/ia/config.card	(revision 6367)
+++ CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA025_LIM3_PISCES/ia/config.card	(revision 6371)
@@ -30,4 +30,7 @@
 #-- 1Y, 1M, 5D, 1D
 PeriodLength=1M
+##============================
+#-- Source following file with module settings, only if it exists
+EnvFile=${SUBMIT_DIR}/../ARCH/arch.env
 #============================
 # config.card configuration options :
Index: CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES/core/clim/config.card
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES/core/clim/config.card	(revision 6367)
+++ CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES/core/clim/config.card	(revision 6371)
@@ -30,4 +30,7 @@
 #-- 1Y, 1M, 5D, 1D
 PeriodLength=1Y
+##============================
+#-- Source following file with module settings, only if it exists
+EnvFile=${SUBMIT_DIR}/../ARCH/arch.env
 #============================
 # config.card configuration options :
Index: CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES/core/ia/config.card
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES/core/ia/config.card	(revision 6367)
+++ CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES/core/ia/config.card	(revision 6371)
@@ -30,5 +30,9 @@
 #-- 1Y, 1M, 5D, 1D
 PeriodLength=1Y
+##============================
+#-- Source following file with module settings, only if it exists
+EnvFile=${SUBMIT_DIR}/../ARCH/arch.env
 #============================
+
 # config.card configuration options :
 #R_BC=$WORKDIR/../../gzi/rgzi002/IGCM/BC
Index: CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES/jra/ia/config.card
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES/jra/ia/config.card	(revision 6367)
+++ CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES/jra/ia/config.card	(revision 6371)
@@ -30,4 +30,7 @@
 #-- 1Y, 1M, 5D, 1D
 PeriodLength=1Y
+#============================
+#-- Source following file with module settings, only if it exists
+EnvFile=${SUBMIT_DIR}/../ARCH/arch.env
 #============================
 # config.card configuration options :
Index: CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES_CMIP6/omip1/ia/config.card
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES_CMIP6/omip1/ia/config.card	(revision 6367)
+++ CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES_CMIP6/omip1/ia/config.card	(revision 6371)
@@ -33,6 +33,7 @@
 #-- 1Y, 1M, 5D, 1D
 PeriodLength=1Y
-#D- For curie, use mpirun as suggested by TGCC
-#ExecutionModeOnCurie=mpirun
+##============================
+#-- Source following file with module settings, only if it exists
+EnvFile=${SUBMIT_DIR}/../ARCH/arch.env
 #============================
 # config.card configuration options :
Index: CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES_CMIP6/omip2/ia/config.card
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES_CMIP6/omip2/ia/config.card	(revision 6367)
+++ CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES_CMIP6/omip2/ia/config.card	(revision 6371)
@@ -33,6 +33,7 @@
 #-- 1Y, 1M, 5D, 1D
 PeriodLength=1Y
-#D- For curie, use mpirun as suggested by TGCC
-#ExecutionModeOnCurie=mpirun
+#============================
+#-- Source following file with module settings, only if it exists
+EnvFile=${SUBMIT_DIR}/../ARCH/arch.env
 #============================
 # config.card configuration options :
Index: CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_OFF_PISCES/ia/config.card
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_OFF_PISCES/ia/config.card	(revision 6367)
+++ CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_OFF_PISCES/ia/config.card	(revision 6371)
@@ -30,4 +30,7 @@
 #-- 1Y, 1M, 5D, 1D
 PeriodLength=1Y
+#============================
+#-- Source following file with module settings, only if it exists
+EnvFile=${SUBMIT_DIR}/../ARCH/arch.env
 #============================
 # config.card configuration options :
Index: CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_LIM3_PISCES/core/clim/config.card
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_LIM3_PISCES/core/clim/config.card	(revision 6367)
+++ CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_LIM3_PISCES/core/clim/config.card	(revision 6371)
@@ -28,4 +28,7 @@
 #-- 1Y, 1M, 5D, 1D
 PeriodLength=1Y
+#============================
+#-- Source following file with module settings, only if it exists
+EnvFile=${SUBMIT_DIR}/../ARCH/arch.env
 #============================
 # config.card configuration options :
Index: CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_LIM3_PISCES/core/ia/config.card
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_LIM3_PISCES/core/ia/config.card	(revision 6367)
+++ CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_LIM3_PISCES/core/ia/config.card	(revision 6371)
@@ -28,4 +28,7 @@
 #-- 1Y, 1M, 5D, 1D
 PeriodLength=1Y
+#============================
+#-- Source following file with module settings, only if it exists
+EnvFile=${SUBMIT_DIR}/../ARCH/arch.env
 #============================
 # config.card configuration options :
Index: CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_LIM3_PISCES/dfs5/ia/config.card
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_LIM3_PISCES/dfs5/ia/config.card	(revision 6367)
+++ CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_LIM3_PISCES/dfs5/ia/config.card	(revision 6371)
@@ -28,4 +28,7 @@
 #-- 1Y, 1M, 5D, 1D
 PeriodLength=1Y
+#============================
+#-- Source following file with module settings, only if it exists
+EnvFile=${SUBMIT_DIR}/../ARCH/arch.env
 #============================
 # config.card configuration options :
Index: CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_LIM3_PISCES/jra/ia/config.card
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_LIM3_PISCES/jra/ia/config.card	(revision 6367)
+++ CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_LIM3_PISCES/jra/ia/config.card	(revision 6371)
@@ -28,4 +28,7 @@
 #-- 1Y, 1M, 5D, 1D
 PeriodLength=1Y
+#============================
+#-- Source following file with module settings, only if it exists
+EnvFile=${SUBMIT_DIR}/../ARCH/arch.env
 #============================
 # config.card configuration options :
Index: CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_OFF_PISCES/clim/config.card
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_OFF_PISCES/clim/config.card	(revision 6367)
+++ CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_OFF_PISCES/clim/config.card	(revision 6371)
@@ -30,4 +30,10 @@
 #-- 1Y, 1M, 5D, 1D
 PeriodLength=1Y
+#============================
+#-- Source following file with module settings, only if it exists
+EnvFile=${SUBMIT_DIR}/../ARCH/arch.env
+#============================
+#-- Source following file with module settings, only if it exists
+EnvFile=${SUBMIT_DIR}/../ARCH/arch.env
 #============================
 # config.card configuration options :
Index: CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_OFF_PISCES/ia/config.card
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_OFF_PISCES/ia/config.card	(revision 6367)
+++ CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_OFF_PISCES/ia/config.card	(revision 6371)
@@ -30,4 +30,7 @@
 #-- 1Y, 1M, 5D, 1D
 PeriodLength=1Y
+#============================
+#-- Source following file with module settings, only if it exists
+EnvFile=${SUBMIT_DIR}/../ARCH/arch.env
 #============================
 # config.card configuration options :
Index: CONFIG/UNIFORM/v6/NEMO_v6/SOURCES/arch-X64_IRENE-AMD.fcm
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6/SOURCES/arch-X64_IRENE-AMD.fcm	(revision 6371)
+++ CONFIG/UNIFORM/v6/NEMO_v6/SOURCES/arch-X64_IRENE-AMD.fcm	(revision 6371)
@@ -0,0 +1,52 @@
+# Irene-amd BULL at TGCC, http://www-hpc.cea.fr/en/complexe/tgcc-irene.htm
+#
+# NCDF_HOME   root directory containing lib and include subdirectories for netcdf4
+# HDF5_HOME   root directory containing lib and include subdirectories for HDF5
+# XIOS_HOME   root directory containing lib for XIOS
+# OASIS_HOME  root directory containing lib for OASIS
+#
+# NCDF_INC    netcdf4 include file
+# NCDF_LIB    netcdf4 library
+# XIOS_INC    xios include file    (taken into accound only if key_iomput is activated)
+# XIOS_LIB    xios library         (taken into accound only if key_iomput is activated)
+# OASIS_INC   oasis include file   (taken into accound only if key_oasis3 is activated)
+# OASIS_LIB   oasis library        (taken into accound only if key_oasis3 is activated)
+#
+# FC          Fortran compiler command
+# FCFLAGS     Fortran compiler flags
+# FFLAGS      Fortran 77 compiler flags
+# LD          linker
+# LDFLAGS     linker flags, e.g. -L<lib dir> if you have libraries
+# FPPFLAGS    pre-processing flags
+# AR          assembler
+# ARFLAGS     assembler flags
+# MK          make
+# USER_INC    complete list of include files
+# USER_LIB    complete list of libraries to pass to the linker
+#
+# Note that:
+#  - unix variables "$..." are accpeted and will be evaluated before calling fcm.
+#  - fcm variables are starting with a % (and not a $)
+#
+%XIOS_HOME           ${PWD}/../../XIOS
+%OASIS_HOME          ${PWD}/../../../oasis3-mct/BLD
+
+%NCDF_INC            -I${NETCDFC_INCDIR} -I${NETCDFFORTRAN_INCDIR}
+%NCDF_LIB            -L${NETCDFC_LIBDIR} -lnetcdf -L${NETCDFFORTRAN_LIBDIR} -lnetcdff 
+%XIOS_INC            -I%XIOS_HOME/inc 
+%XIOS_LIB            -L%XIOS_HOME/lib -lxios
+%OASIS_INC           -I%OASIS_HOME/build/lib/psmile.MPI1 
+%OASIS_LIB           -L%OASIS_HOME/lib -lpsmile.MPI1 -lscrip -lmct -lmpeu
+
+%CPP                 cpp
+%FC                  mpif90 -c -cpp
+%FCFLAGS             -i4 -r8 -O3 -fp-model strict
+%FFLAGS              %FCFLAGS
+%LD                  mpif90
+%LDFLAGS             -lstdc++
+%FPPFLAGS            -P -C -traditional
+%AR                  ar
+%ARFLAGS             rs
+%MK                  gmake
+%USER_INC            %XIOS_INC %OASIS_INC %NCDF_INC
+%USER_LIB            %XIOS_LIB %OASIS_LIB %NCDF_LIB
Index: CONFIG/UNIFORM/v6/NEMO_v6/SOURCES/arch-X64_IRENE.fcm
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6/SOURCES/arch-X64_IRENE.fcm	(revision 6371)
+++ CONFIG/UNIFORM/v6/NEMO_v6/SOURCES/arch-X64_IRENE.fcm	(revision 6371)
@@ -0,0 +1,52 @@
+# Irene BULL at TGCC, http://www-hpc.cea.fr/en/complexe/tgcc-irene.htm
+#
+# NCDF_HOME   root directory containing lib and include subdirectories for netcdf4
+# HDF5_HOME   root directory containing lib and include subdirectories for HDF5
+# XIOS_HOME   root directory containing lib for XIOS
+# OASIS_HOME  root directory containing lib for OASIS
+#
+# NCDF_INC    netcdf4 include file
+# NCDF_LIB    netcdf4 library
+# XIOS_INC    xios include file    (taken into accound only if key_iomput is activated)
+# XIOS_LIB    xios library         (taken into accound only if key_iomput is activated)
+# OASIS_INC   oasis include file   (taken into accound only if key_oasis3 is activated)
+# OASIS_LIB   oasis library        (taken into accound only if key_oasis3 is activated)
+#
+# FC          Fortran compiler command
+# FCFLAGS     Fortran compiler flags
+# FFLAGS      Fortran 77 compiler flags
+# LD          linker
+# LDFLAGS     linker flags, e.g. -L<lib dir> if you have libraries
+# FPPFLAGS    pre-processing flags
+# AR          assembler
+# ARFLAGS     assembler flags
+# MK          make
+# USER_INC    complete list of include files
+# USER_LIB    complete list of libraries to pass to the linker
+#
+# Note that:
+#  - unix variables "$..." are accpeted and will be evaluated before calling fcm.
+#  - fcm variables are starting with a % (and not a $)
+#
+%XIOS_HOME           ${PWD}/../../XIOS
+%OASIS_HOME          ${PWD}/../../../oasis3-mct/BLD
+
+%NCDF_INC            -I${NETCDFC_INCDIR} -I${NETCDFFORTRAN_INCDIR}
+%NCDF_LIB            -L${NETCDFC_LIBDIR} -lnetcdf -L${NETCDFFORTRAN_LIBDIR} -lnetcdff 
+%XIOS_INC            -I%XIOS_HOME/inc 
+%XIOS_LIB            -L%XIOS_HOME/lib -lxios
+%OASIS_INC           -I%OASIS_HOME/build/lib/psmile.MPI1 
+%OASIS_LIB           -L%OASIS_HOME/lib -lpsmile.MPI1 -lscrip -lmct -lmpeu
+
+%CPP                 cpp -P -nostdinc
+%FC                  mpif90 -c -cpp
+%FCFLAGS             -i4 -r8 -O3 -fp-model precise
+%FFLAGS              %FCFLAGS
+%LD                  mpif90
+%LDFLAGS             -lstdc++
+%FPPFLAGS            -P -C -traditional
+%AR                  ar
+%ARFLAGS             rs
+%MK                  gmake
+%USER_INC            %XIOS_INC %OASIS_INC %NCDF_INC
+%USER_LIB            %XIOS_LIB %OASIS_LIB %NCDF_LIB
Index: CONFIG/UNIFORM/v6/NEMO_v6/SOURCES/arch-X64_JEANZAY.fcm
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6/SOURCES/arch-X64_JEANZAY.fcm	(revision 6371)
+++ CONFIG/UNIFORM/v6/NEMO_v6/SOURCES/arch-X64_JEANZAY.fcm	(revision 6371)
@@ -0,0 +1,52 @@
+# Jean-Zay HPE at IDRIS, http://www.idris.fr/jean-zay
+#
+# NCDF_HOME   root directory containing lib and include subdirectories for netcdf4
+# HDF5_HOME   root directory containing lib and include subdirectories for HDF5
+# XIOS_HOME   root directory containing lib for XIOS
+# OASIS_HOME  root directory containing lib for OASIS
+#
+# NCDF_INC    netcdf4 include file
+# NCDF_LIB    netcdf4 library
+# XIOS_INC    xios include file    (taken into accound only if key_iomput is activated)
+# XIOS_LIB    xios library         (taken into accound only if key_iomput is activated)
+# OASIS_INC   oasis include file   (taken into accound only if key_oasis3 is activated)
+# OASIS_LIB   oasis library        (taken into accound only if key_oasis3 is activated)
+#
+# FC          Fortran compiler command
+# FCFLAGS     Fortran compiler flags
+# FFLAGS      Fortran 77 compiler flags
+# LD          linker
+# LDFLAGS     linker flags, e.g. -L<lib dir> if you have libraries
+# FPPFLAGS    pre-processing flags
+# AR          assembler
+# ARFLAGS     assembler flags
+# MK          make
+# USER_INC    complete list of include files
+# USER_LIB    complete list of libraries to pass to the linker
+#
+# Note that:
+#  - unix variables "$..." are accpeted and will be evaluated before calling fcm.
+#  - fcm variables are starting with a % (and not a $)
+#
+%XIOS_HOME           ${PWD}/../../XIOS
+%OASIS_HOME          ${PWD}/../../../oasis3-mct/BLD
+
+%NCDF_INC            
+%NCDF_LIB            -lnetcdff -lnetcdf
+%XIOS_INC            -I%XIOS_HOME/inc 
+%XIOS_LIB            -L%XIOS_HOME/lib -lxios
+%OASIS_INC           -I%OASIS_HOME/build/lib/mct -I%OASIS_HOME/build/lib/psmile.MPI1
+%OASIS_LIB           -L%OASIS_HOME/lib -lpsmile.MPI1 -lscrip -lmct -lmpeu
+
+%CPP                 cpp
+%FC                  mpiifort -c -cpp
+%FCFLAGS             -i4 -r8 -O3 -fp-model precise -xCORE-AVX512 -fno-alias
+%FFLAGS              %FCFLAGS
+%LD                  mpiifort
+%LDFLAGS             -lstdc++
+%FPPFLAGS            -P -C -traditional
+%AR                  ar
+%ARFLAGS             rs
+%MK                  gmake
+%USER_INC            %XIOS_INC %OASIS_INC %NCDF_INC
+%USER_LIB            %XIOS_LIB %OASIS_LIB %NCDF_LIB
